
Auto Multiple Choice - Bug # 756: AM1.5.0-rc1 impossible d'installer (macos, macports)

Status: Closed Priority: Normal
Author: Joël Brogniart Category:
Created: 01/22/2021 Assignee:
Updated: 01/25/2021 Due date:
Description: L'installation d'un produit via macports passe par plusieurs phase : fetch (récupération du paquet ou des 

sources), checksum (vérification des sommes de contrôle), configure, build, pré-installation, installation et 
nettoyage.

La préinstallation consiste à copier les différents éléments dans leur hiérarchie de destination, mais non pas à 
partir de la racine du système (/) mais à partir d'un dossier temporaire de pré-installation. La phase 
d'installation va déplacer les éléments du dossier de pré-installation vers leur destination finale.

La base de la destination finale est contenue dans une variable @PREFIX@ ou pour AMC @BASEPATH@.

Cette base est correctement respectée pour tous les fichiers d'AMC sauf pour le fichier 
@net.auto_multiple_choice.amc.metainfo.xml@ qui à l'air d'être hardcodé pour aller dans 
@/usr/share/metainfo@ alors qu'il aurait dû aller dans @BASEPATH/share/metainfo@.

Du coup, la phase d'installation finale échoue car dans les versions récentes de macos, pour des raisons de 
sécurité, certaines zones de la hiérarchie système ne peuvent être modifiées.

History
01/22/2021 02:49 pm - Joël Brogniart
Le fichier @net.auto_multiple_choice.amc.metainfo.xml@ n'est d'aucune utilité sous macOS ou Macports car macOS gère les métainformations d'une 
manière totalement différente.

01/22/2021 03:07 pm - Alexis Bienvenüe
- Status changed from New to Feedback

Il me semble qu'il suffit d'ajouter une ligne au fichier @Makefile-macports.conf@ :
<pre>
METAINFODIR=
</pre>
Ce sera fait d'ici la prochaine version.
Merci !

01/22/2021 03:09 pm - Joël Brogniart
Le problème peut être résolu en ajoutant une ligne avec

<pre>
METAINFODIR =
</pre>

dans le fichier @Makefile-macports.conf@, par exemple avant la ligne avec @LATEC_FREE ?= 0@.

01/22/2021 06:19 pm - Joël Brogniart
Bon, ça ne suffit pas. Macport essaie quand même de créer le dossier @/usr/share/metainfo@ même quand le fichier qui devrait y aller n'a pas été 
créée. Il faut que je fouille plus en détail pour voir d'où Macports sort cette info.
01/25/2021 09:06 am - Joël Brogniart
La modification du fichier @Makefile-macports.conf@ fonctionne correctement. Il fallait juste que je nettoie le résultat des builds précédents.

01/25/2021 09:17 am - Joël Brogniart
Et un rapide test de la génération d'un QCM AMC-TXT, impression, saisie automatique, vérification zoom et calage, notation, identification des 
étudiants, export du rapport et envoi d'une copie corrigée par mail s'est bien passé avec la version 1.5.0-rc1. Bravo.

01/25/2021 09:53 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Super, merci !
La modification a été intégrée dans git:55dfb8d3.
